Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2023-04-26 18:17:18 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2023-04-26 18:17:18 +0300
commit34283a71d9ac31eb4da0b59d0b25fc2be014bc9c (patch)
tree4a780bf8d9c57c3b8ce34fc81152d8a87f71d594 /scripts/frontend
parent9edf852c3a851d84b85bc94f7a3b41d5ef04dd32 (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'scripts/frontend')
-rwxr-xr-xscripts/frontend/download_fixtures.sh56
1 files changed, 56 insertions, 0 deletions
diff --git a/scripts/frontend/download_fixtures.sh b/scripts/frontend/download_fixtures.sh
new file mode 100755
index 00000000000..47a57401bb9
--- /dev/null
+++ b/scripts/frontend/download_fixtures.sh
@@ -0,0 +1,56 @@
+#!/usr/bin/env bash
+
+#
+# Downloads the most recent frontend fixtures for the current commit, going up the commit parent
+# chain up to max-commits commits (defaults to 50 commits).
+#
+
+source scripts/packages/helpers.sh
+
+print_help() {
+ echo "Usage: scripts/frontend/download_fixtures.sh [--branch <branch-name>] [--max-commits <number>]"
+ echo
+ echo "Looks for a frontend fixture package in the package registry for commits on a local branch."
+ echo
+ echo "If --branch isn't specified, the script will use the current branch as a commit reference."
+ echo "If --max-commits isn't specified, the default is 50 commits."
+
+ return
+}
+
+branch="HEAD"
+max_commits_count=50
+
+while [ $# -gt 0 ]; do
+ case "$1" in
+ --branch)
+ shift
+ branch="$1"
+ ;;
+ --max-commits)
+ shift
+ max_commits_count="$1"
+ ;;
+ *)
+ print_help
+ exit
+ ;;
+ esac
+ shift
+done
+
+for commit_sha in $(git rev-list ${branch} --max-count="${max_commits_count}"); do
+ API_PACKAGES_BASE_URL=https://gitlab.com/api/v4/projects/278964/packages/generic
+ FIXTURES_PACKAGE="fixtures-${commit_sha}.tar.gz"
+ FIXTURES_PACKAGE_URL="${API_PACKAGES_BASE_URL}/fixtures/${commit_sha}/${FIXTURES_PACKAGE}"
+
+ echo "Looking for frontend fixtures for commit ${commit_sha}..."
+
+ if ! archive_doesnt_exist "${FIXTURES_PACKAGE_URL}" > /dev/null 2>&1; then
+ echo "We have found frontend fixtures at ${FIXTURES_PACKAGE_URL}!"
+
+ read_curl_package "${FIXTURES_PACKAGE_URL}" | extract_package
+
+ break
+ fi
+done